%global upstreamver 1r23
%global pkgname sophus

Name:           gap-pkg-%{pkgname}
Version:        %(sed -r "s/r|p/./g" <<< %{upstreamver})
Release:        1%{?dist}
Summary:        Computing in nilpotent Lie algebras

License:        GPLv2+
URL:            http://www.sztaki.hu/~schneider/Research/Sophus/
Source0:        http://www.sztaki.hu/~schneider/Research/Sophus/%{pkgname}%{upstreamver}.tar.gz
# Email exchange with the sophus author about the license
Source1:        sophus-license.txt
BuildArch:      noarch

BuildRequires:  gap-devel
BuildRequires:  GAPDoc-latex
BuildRequires:  gap-pkg-autpgrp

Requires:       gap-core
Requires:       gap-pkg-autpgrp

%description
The Sophus package is written to compute with nilpotent Lie algebras
over finite prime fields.  Using this package, you can compute the
cover, the list of immediate descendants, and the automorphism group of
such Lie algebras.  You can also test if two such Lie algebras are
isomorphic.

The immediate descendant function of the package can be used to classify
small-dimensional nilpotent Lie algebras over a given field.  For
instance, the package author obtained a classification of nilpotent Lie
algebras with dimension at most 9 over F_2; see
http://www.sztaki.hu/~schneider/Research/SmallLie.

%prep
%setup -q -n %{pkgname}

%build
# Link to main GAP documentation
ln -s %{_gap_dir}/doc ../../doc
mkdir ../pkg
ln -s ../%{pkgname} ../pkg
gap -l "$PWD/..;%{_gap_dir}" << EOF
LoadPackage( "Sophus" );
SophusBuildManual( );
SophusBuildManualHTML( );
EOF
rm -fr ../pkg ../../doc

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgname} %{buildroot}%{_gap_dir}/pkg/%{pkgname}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/README
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/*.{aux,bbl,blg,brf,idx,ilg,ind,log,out,pnr,toc}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/gap/.\#*

%check
gap -l "%{buildroot}%{_gap_dir};%{_gap_dir}" << EOF 2>&1 | tee log
LoadPackage( "Sophus" );
SophusTest( );
EOF
grep -Fvq fail log
rm -f log

%files
%doc README
%docdir %{_gap_dir}/pkg/%{pkgname}/Doc
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Thu Nov 30 2017 Jerry James <loganjerry@gmail.com> - 1.23-1
- Initial RPM
